function [info,errmsg]=mmmodelinfo(location, isuri)
% MMMODELINFO Get model information for models stored in Model Manager or as files
%
%   INFO = MMMODELINFO(LOCATION) returns model information for the
%   model with the URI string LOCATION in Model Manager.
%
%   INFO = MMMODELINFO(MODEL) returns model information for MODEL.
%
%   INFO = MMMODELINFO(TAG) returns model information for the
%   model loaded in the COMSOL Multiphysics server defined with TAG.
%
%   The number of field in the struct info depends on how you define the model: with
%   a location, a model, or a tag.
%
% See also: mphgetbranch, mmsave, mphtags

% This function doesn't have any exceptions. In the event of an error info
% will be [] and errmsg will contain the error message.

%   Copyright 2021-2022 COMSOL
