function pd=mphreadstl(filename)
% MPHREADSTL Read an STL file and return the data into a plot data structure
%
%   PD = MPHREADSTL(FILENAME) converts the surface mesh in FILENAME into the
%   plot data structure PD.
%
%   PD is a structure with the following fields:
%   Field          Description
%   -----------------------------------------------------------------------
%   n              Normal vector for the triangle.
%   p              Node point coordinate information.
%   t              Array containing the indices to columns in p of a simplex
%                  mesh, each column in t representing a simplex. 
%   name           Name of the file the data come from.
%   ref            Header of the file.
%   rgb            The color model data at each vertices. The columns 
%                  correspond to node point coordinates in columns in p.
%   expr           The description of the data. 
%   d1             The data value at each vertices. The columns correspond to node
%                  point coordinates in columns in p.
%
%   Both binary and ASCII STL files are supported.
%
%   See also: mphquad2surf, mphsurf, mphwritestl

% Copyright 2012-2022 COMSOL
