function dur=mphrun(model, tags, varargin)
% MPHRUN Call run on nodes in the COMSOL model
%
%   MPHRUN(MODEL) runs all study nodes in MODEL.
%
%   MPHRUN(MODEL, NTAG,...) runs the node NTAG in MODEL.
%
%   MPHRUN(MODEL, {NTAG1,...,NTAGN},...) runs the nodes NTAG1,...,NTAGN in 
%   MODEL.
%
%   MPHRUN(MODEL, NODETYPE,...) runs all the nodes with the type NODETYPE 
%   in model. NODETYPE can be any of 'batch', 'geom', 'mesh', 'sol', 
%   'study', 'result', or 'externalinterface'.
%
%   Valid property/value pairs include:
%   Property      Value/{Default}            Description
%   -----------------------------------------------------------------------
%   progress      'off' | 'on'               Enable progress bar*
% 
%   * The progress bar window is not supported on Mac OS.

%   Copyright 2017-2022 COMSOL
