function [tags,labels,displaystring,othertags]=mphtags(model, name, silent, pre, post, types)
% MPHTAGS Get tags and names for model nodes.
%
%   MPHTAGS(MODEL) returns the tag in the COMSOL server of MODEL loaded in 
%   the COMSOL server.
%
%   MPHTAGS(MODEL,TYPE) returns the type tag in MODEL to give easy access 
%   to the nodes under the result node. 
%   TYPE can be any of 'result', 'dataset', 'table', 'numerical', and 
%   'export'. It is sufficient to use the first letter of the types. 
%
%   MPHTAGS(MODEL, NODE) returns the tags for the node node in model.
%
%   MPHTAGS returns the tags for all models loaded in the COMSOL server.
%
%   MPHTAGS -SHOW returns output that is useful viewing on screen.
%
%   [TAGS,LABELS,DISPLAYSTR] = MPHTAGS(NODE) returns the node tags as well 
%   as labels and display names used for the nodes. 
%
%   [TAGS,FNAME,DISPLAYSTR] = MPHTAGS(MODEL) returns the tag, the filename, 
%   and the display name for model.
%
%   [TAGS,FNAME,FULFNAME] = MPHTAGS returns the tag, the filename, and the 
%   full filename of the model loaded in the COMSOL server.
%   
%   The model can either be saved as a file or in Model Manager.

%   Copyright 2017-2022 COMSOL
