function [im,imfilename]=mphthumbnail(model, arg)
% MPHTHUMBNMAIL Set or get model thumbnail
%
% mphthumbnail(MODEL, FILENAME) sets the thumbnail for the model to the
% image contained in FILENAME. The file must be a PNG- or JPG-file.
%
% mphthumbnail(MODEL, IMAGE) sets the thumbnail using the image data in IMAGE.
%
% mphthumbnail(MODEL, FIG) set the thumbnail to the figure having the
% handle FIG.
%
% mphthumbnail(MODEL, '') clears the thumbnail.
%
% [IMAGE,IMAGEFILENAME] = mphthumbnail(MODEL) gets the image and image
% filename for the thumbnail stored in MODEL.
%
% Preferred size for the image is 280 x 210 pixels.
%
% Example:
% % Open the busbar model
% mphopen busbar
% % Get the thumbnail image
% im = mphthumbnail(model);
% % Show the thumbnail in a Matlab figure
% imshow(im)
%
% % Set the thumbnail to the current figure image
% mphthumbnail(model, gcf)

%   Copyright 2016-2022 COMSOL
