function [v,vm,c]=mphversion(model)
% MPHVERSION Return the version number of COMSOL Multiphysics
%
%   V = MPHVERSION returns the  COMSOL Multiphysics version number that 
%   MATLAB is connected to as a string.
%
%   [V,VM] = MPHVERSION(model) returns the COMSOL Multiphysics version 
%   number that MATLAB is connected to as a string in the variable V and
%   the version number of the model in the variable VM.
%
%   Example:
%     % Load model_tutorial_llmatlab.mph:
%     model = mphopen('model_tutorial_llmatlab');
%     % Get the version numbers:
%     [version,model_version] = mphversion(model)
%
%   See also: mphopen, mphload, mphsave

% Copyright 2011-2022 COMSOL
